<?php /* Template Name: aboutus page */ ?>
<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
get_header();
?>
<?php
$poster = get_field('poster');
$video = get_field('video');
$video_title = get_field('video_title');
$video_text = get_field('video_text');
$btn_title = get_field('btn_title');
$btn_link = get_field('btn_link');
$family_title = get_field('family_title');
$family_title_second = get_field('family_title_second');
$second_text = get_field('second_text');
$full_width_img = get_field('full_width_img');
$thrd_text = get_field('thrd_text');

?>

<main id="main" class="site-main main-about">
    <section class="container-fluid inner-header">
        <div class="row">
            <div class="col-12">
                <div class="title-part inner-title">
                    <h1 class="title-site"> <?php the_title() ?></h1>
                    <div class="shareIcon">
                        <span class="icon-Share"></span>
                        <ul>
                            <li class="phone"><a href="" target="_blank"><span class="icon-whatsapp"></span></a></li>
                            <li class="insta"><a href="" target="_blank"><span class="icon-instageram"></span></a></li>
                            <li class="twitt"><a href="" target="_blank"><span class="icon-twitter"></span></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="title-container">
        <div class="btn-container">
            <div id="about-us" class="container">
                <a href="#">
                    صفحه اصلی
                    <span class="icon-Arrow-L"></span>
                </a>
                <span class="breadcrumb_last" aria-current="page"> <?php the_title() ?> </span>
            </div>
            <div class="menuCircleContainer">
                <a class="menuCircle menuCircle1" href="">
                    <span class="icon-NEWS"></span>
                </a>
                <a class="menuCircle menuCircle2" href="">
                    <span class="icon-50SALGI"></span>
                </a>
                <a class="menuCircle menuCircle1" href="">
                    <span class="icon-Mihan"></span>
                </a>
                <a class="menuCircle menuCircle2" href="">
                    <span class="icon-HAT"></span>
                </a>
                <a class="menuCircle menuCircle2" href="">
                    <span class="icon-GIFT"></span>
                </a>
            </div>
        </div>
    </div>
    <section class="container-fluid curve-after"></section>
    <section class="container about-us-video">
        <div class="row">
            <div class="col-lg-6 video">
                <div class="dots"></div>
                <img src="<?php echo $poster ?>" alt=""/>
                <div class="btnPlay"></div>
            </div>
            <div class="col-lg-6 content-container">
                <h2><?php echo $video_title ?></h2>
                <p>
                    <?php echo $video_text ?>
                </p>
                <div class="btn">
                    <a href="<?php echo $btn_link ?>">
                        <div class="btnCircle"></div>
                        <div> <?php echo $btn_title ?> </div>
                    </a>
                </div>
            </div>
        </div>
    </section>
    <section class="logos-container">
        <div class="container row">
            <div class="col-12">
                <h2> <?php echo $family_title ?></h2>
                <p>
                    <?php echo $family_title_second ?>
                </p>
                <div class="logos"></div>
            </div>
        </div>
    </section>
    <section class="introduction">
        <div class="row container">
            <div class="col-12">
                <p>
                    <?php echo $second_text ?>
                </p>
            </div>
        </div>
        <img src=" <?php echo $full_width_img ?>" alt=""/>
        <div class="row container mission-container">
            <div class="col-12">
                <p>
                    <?php echo $thrd_text ?>
                </p>
            </div>
        </div>
    </section>
</main>
<?php get_footer(); ?>
<div class="modal-about-us-video disNone opacity0">
    <div class="container-video container">
        <video controls class="container">
            <source src="<?php echo $video ?>" type="video/mp4"/>
        </video>
        <div class="btnClose"></div>
    </div>
</div>
<style>

    
    .logos-container .logos a{
  opacity: 1;
  width: auto;
  height: 100%;
  display: flex;
  object-fit: none;
  position: relative; 
  border-radius: 21px;
  align-items: center;
  justify-content: center;
  background-color: white;
  transition: all .5s ease-in-out;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2);
}
.logos-container .logos img{
  width: 60%;
  height: 60%;
  position: absolute;
  object-fit: contain;
}

.logos-container .logos a.hide {
  opacity: 0;
}

.logos-container .logos a:nth-child(8){
  opacity: 1 !important;
  grid-row: 1 / span 4;
  grid-column: 4 / span 2 ;
  background-size: contain;
  background-position: center;
  background-image: url(<?php echo get_home_url();?>/wp-content/uploads/2022/06/tm.png) !important;
}
.logos-container .logos a:nth-child(8) img{
  display: none;
}

</style>
<script>
    // ---------------------------------------------------
    //          section about-us-video
    // ---------------------------------------------------
    
    
    let brandsClass = new Class({
  options: {
    elements: [],
    linksTag: [],
    imageIndexs: [],
  },
  init: function (options) {
    this.setNewOptions(this, options);
    this.onContainer(
      this,
      this.options.container,
      this.options.linksTag,
      this.options.links,
      this.options.elements,
      this.options.images
    );
  },
  // --------------------------
  onContainer: (self, container, linksTag, links, elements, images) => {
    for (let i = 0; i < 19; i++) {
      let a = document.createElement("A");
      let element = document.createElement("IMG");
      self.setImageSrc(self, a, links, element, images, i);
      a.appendChild(element);
      container.appendChild(a);
      linksTag.push(a);
      elements.push(element);
      if (i === 0 || i === 1 || i === 2 || i === 3) a.className = "tablet";
      if (i === 4 || i === 5 || i === 6 || i === 7) a.className = "mobile";
    }
    self.onCreateElement(
      self,
      linksTag,
      links,
      elements,
      images,
      self.options.time
    );
  },
  onCreateElement: (self, a, links, elements, images, time) => {
    time *= 2000;
    setInterval(() => {
      for (let x = 0; x < 3; x++) {
        let indexTable = Math.floor(Math.floor(Math.random() * 20));
        self.setImageSrc(
          self,
          a[indexTable],
          links,
          elements[indexTable],
          images,
          indexTable
        );
      }
    }, time);
  },
  setImageSrc: (self, a, links, element, images, indexTable) => {
    let length = images.length;
    // ------------------------------------- جلوگیری از تکرار
    a.addClass("hide");
    setTimeout(() => {
      let indexImage = Math.floor(Math.floor(Math.random() * length));
      if (!self.options.imageIndexs.includes(indexImage)) {
        self.options.imageIndexs[indexTable] = indexImage;
        a.href = links[indexImage];
        element.src = images[indexImage];
        a.removeClass("hide");
      } else {
        self.setImageSrc(self, a, links, element, images, indexTable);
      }
    }, 500);
  },
  // --------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
    let brands = new brandsClass({
        container: $$(".logos-container .logos"),
        images: [
            <?php

            $args = array(
                'post_type' => 'brands',
                'posts_per_page' => -1
            );
            $brands_company = [];
            $the_query = new WP_Query($args);
            if ($the_query->have_posts()) :
                while ($the_query->have_posts()) :
                    $the_query->the_post();
                    echo "'";
                    the_post_thumbnail_url();
                    echo "',";
                endwhile;
                wp_reset_postdata();
            endif;
            ?>

        ],
        links: [
            <?php

            $args = array(
                'post_type' => 'brands',
                'posts_per_page' => -1
            );
            $brands_company = [];
            $the_query = new WP_Query($args);
            if ($the_query->have_posts()) :
                while ($the_query->have_posts()) :
                    $the_query->the_post();
                    echo "'";
                    the_permalink();
                    echo "',";
                endwhile;
                wp_reset_postdata();
            endif;
            ?>
        ],
        time: 1.5,
    });
    let aboutUsModal = new aboutUsModalClass({
        modal: $$(".modal-about-us-video"),
        btnOpen: $$(".about-us-video .video"),
        btnClose: $$(".modal-about-us-video .btnClose"),
        video: $$(".container-video video"),
    });
</script>