// -----------------------------------------------------------
// class of section7
// counter
// -----------------------------------------------------------
let counterClass = new Class({
  options: {},
  init: function (options) {
    this.setNewOptions(this, options);
  },
  // -------------------------
  onComput: (self, counter, options) => {
    options.numberDiv.innerHTML = counter;
    let animation = null;
    clearInterval(animation);
    animation = setInterval(frame, 20);
    function frame() {
      if (counter >= options.numberEnd) {
        clearInterval(animation);
      } else {
        counter++;
        options.numberDiv.innerHTML = counter;
      }
      self.options.numberStart = counter;
    }
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
// -------------------------
// counter
// -------------------------
let counterActive = new counterClass({
  numberDiv: $$(".counterActive .counterNumber"),
  numberStart: 50,
  numberEnd: 150,
});
let counterCenter = new counterClass({
  numberDiv: $$(".counterCenter .counterNumber"),
  numberStart: 100,
  numberEnd: 200,
});
let counterImployer = new counterClass({
  numberDiv: $$(".counterImployer .counterNumber"),
  numberStart: 1100,
  numberEnd: 1200,
});
let counterCar = new counterClass({
  numberDiv: $$(".counterCar .counterNumber"),
  numberStart: 4400,
  numberEnd: 4500,
});
// -----------------------------------------------------------
// class of menu
// menu and scroll behavior are created here
// -----------------------------------------------------------
let menuClass = new Class({
  options: {
    index: 1,
  },
  init: function (options) {
    this.setNewOptions(this, options);
    this.makeFunctions(this, this.options.page, this.options);
    this.makeMenus(this, this.options.menus, this.options);
    this.onNextBtn(this, this.options.menus, this.options);
    this.onScroll(this, this.options);
    window.scrollTo({
      top: 0,
      behavior: "auto",
    });
  },
  // -----------------------------------------------------------
  onNextBtn: (self, menu, options) => {
    menu.forEach((element) => {
      if (element.getElements(".scrollNext").length != 0) {
        element.getElements(".scrollNext").onclick = () => {
          options.page.onwheel = {};
          options.index++;
          self.runScroll(self, options, options.index);
          setTimeout(() => {
            self.makeFunctions(self, options.page, options);
          }, 1000);
        };
      }
    });
  },
  makeFunctions: (self, page, options) => {
    page.onwheel = async (e) => {
      if (page.getSize().x > 1024) {
        page.onwheel = {};
        if (e.deltaY > 0 && options.index < options.menus.length) {
          options.index++;
          self.runScroll(self, options, options.index);
        } else if (e.deltaY < 0 && options.index > 1) {
          options.index--;
          self.runScroll(self, options, options.index);
        }
        setTimeout(() => {
          self.makeFunctions(self, page, options);
        }, 1000);
      }
    };
  },
  onScroll: (self, options) => {
    if (options.page.getSize().x <= 1024) {
      document.onscroll = () => {
        $$("footer,section").forEach((section, index) => {
          if (
            section.getPosition().top <= -150 &&
            section.getPosition().top > -1 * section.getSize().y
          )
            self.runSpecialFunctionSection(options, index + 1);
        });
      };
    }
  },
  runScroll: (self, options, index) => {
    window.scrollTo({
      top: $$("#section" + index).getPositionOfPage().top,
      behavior: "smooth",
    });
    self.onHeader(self.options.index);
    self.runSpecialFunctionSection(options, self.options.index);
  },
  makeMenus: (self, menus, options) => {
    menus.forEach((menu, menuIndex) => {
      let buttons = menu.getElements(".scrollCircle");
      buttons.forEach((button, i) => {
        button.onclick = () => {
          self.options.index = i + 1;
          self.onHeader(self.options.index);
          self.runSpecialFunctionSection(options, self.options.index);
        };
        button.onmouseover = () => {
          menu.getElements(".scrollMainCircle").innerHTML = options.icons[i];
          menu.getElements("p").innerHTML = options.titles[i];
        };
        button.onmouseleave = () => {
          menu.getElements("p").innerHTML = options.titles[menuIndex];
        };
      });
      menu.onmouseover = () => {
        menu.addClass("hover");
      };
      menu.onmouseleave = () => {
        menu.removeClass("hover");
      };
    });
  },
  onHeader: (index) => {
    if (index === 1) $$("header .header2NotResponsive").addClass("showHeader");
    else $$("header .header2NotResponsive").removeClass("showHeader");
  },
  runSpecialFunctionSection: (options, index) => {
    if (options.functions[index] !== null) options.functions[index]();
  },
  // -----------------------------------------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
let menu = new menuClass({
  page: $$("html"),
  menus: $$(".scrollMenu"),
  icons: [
    "<span class='icon-HOME'></span>",
    "<span class='icon-50SALGI'></span>",
    "<span class='icon-GIFT'></span>",
    "<span class='icon-NEWS'></span>",
    "<span class='icon-COMPANY'></span>",
    "<span class='icon-HAT'></span>",
    "<span class='icon-MAP'></span>",
  ],

  titles: [
    "اسلایدر",
    "50سال همراهی",
    "میهن کلاب",
    "اخبار",
    "خانواده میهن",
    "میهن مگ",
    "نمایندگی ها",
  ],
  functions: [
    null,
    null,
    null,
    null,
    null,
    null,
    null,
    () => {
      counterActive.onComput(
        counterActive,
        counterActive.options.numberStart,
        counterActive.options
      );
      counterImployer.onComput(
        counterImployer,
        counterImployer.options.numberStart,
        counterImployer.options
      );
      counterCenter.onComput(
        counterCenter,
        counterCenter.options.numberStart,
        counterCenter.options
      );
      counterCar.onComput(
        counterCar,
        counterCar.options.numberStart,
        counterCar.options
      );
    },
    null,
  ],
});
// -----------------------------------------------------------
// class of section5
// brands
// -----------------------------------------------------------
// let brandsClass = new Class({
//   options: {
//     elements: [],
//     linksTag: [],
//   },
//   init: function (options) {
//     this.setNewOptions(this, options);
//     this.onContainer(
//       this,
//       this.options.container,
//       this.options.linksTag,
//       this.options.links,
//       this.options.elements,
//       this.options.images
//     );
//   },
//   // --------------------------
//   onContainer: (self, container, linksTag, links, elements, images) => {
//     for (let i = 0; i < 20; i++) {
//       let a = document.createElement("A");
//       let element = document.createElement("DIV");
//       self.setImageSrc(a, links, element, images);
//       a.appendChild(element);
//       container.appendChild(a);
//       linksTag.push(a);
//       elements.push(element);
//       if (i === 0 || i === 1 || i === 2 || i === 3) a.className = "tablet";
//       if (i === 4 || i === 5 || i === 6 || i === 7) a.className = "mobile";
//     }
//     self.onCreateElement(
//       self,
//       linksTag,
//       links,
//       elements,
//       images,
//       self.options.time
//     );
//   },
//   onCreateElement: (self, a, links, elements, images, time) => {
//     time *= 1000;
//     setInterval(() => {
//       for (let x = 0; x < 3; x++) {
//         let i = Math.floor(Math.floor(Math.random() * 20) + 1);
//         self.setImageSrc(a, links, elements[i], images);
//       }
//     }, time);
//   },
//   setImageSrc: (a, links, element, images) => {
//     let i = Math.floor(Math.floor(Math.random() * 20) + 1);
//     // element.style.opacity = 0;
//     a.href = links[i - 1];
//     element.style.backgroundImage = "url('" + images[i - 1] + "')";
//     setTimeout(() => {
//       // element.style.opacity = 1;
//     }, 500);
//   },
//   // --------------------------
//   setNewOptions: (self, options) => {
//     self.options = {
//       ...self.options,
//       ...options,
//     };
//   },
// });
// let brands = new brandsClass({
//   container: $$(".brandContainer"),
//   images: [
//     "./assets/images/home/brand1.png",
//     "./assets/images/home/brand2.png",
//     "./assets/images/home/brand3.png",
//     "./assets/images/home/brand4.png",
//     "./assets/images/home/brand5.png",
//     "./assets/images/home/brand6.png",
//     "./assets/images/home/brand7.png",
//     "./assets/images/home/brand8.png",
//     "./assets/images/home/brand9.png",
//     "./assets/images/home/brand10.png",
//     "./assets/images/home/brand11.png",
//     "./assets/images/home/brand12.png",
//     "./assets/images/home/brand13.png",
//     "./assets/images/home/brand14.png",
//     "./assets/images/home/brand15.png",
//     "./assets/images/home/brand16.png",
//     "./assets/images/home/brand17.png",
//     "./assets/images/home/brand18.png",
//     "./assets/images/home/brand19.png",
//     "./assets/images/home/brand20.png",
//   ],
//   links: [
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//     "",
//   ],
//   time: 1.5,
// });
// -----------------------------------------------------------
// class of section7
// map
// -----------------------------------------------------------
let mapClass = new Class({
  options: {
    objecMap: {},
    provinces: {
      tehran: "تهران",
      isfahan: "اصفهان",
      kerman: "کرمان",
    },
    links: {
      tehran: "https://www.google.com/",
      isfahan: "https://www.google.com/",
      kerman: "https://www.google.com/",
    },
  },
  init: function (options) {
    this.setNewOptions(this, options);
    this.setFunctionOfDropDown(this, this.options);
    this.createObjectMap(this, this.options);
  },
  setFunctionOfDropDown: (self, options) => {
    options.dropDown.onchange = async (e) => {
      await self.onRemoveClass(options.objecMap);
      if (e.target.value === "none") {
        options.btn.addClass("disNone");
      } else {
        options.btn.removeClass("disNone");
        options.objecMap[e.target.value].addClass("selected");
        options.button.innerHTML = "مشاهده نمایندگی";
        // "مشاهده نمایندگی استان " + options.provinces[e.target.value];
        options.a.href = options.links[e.target.value];
      }
    };
  },
  onRemoveClass: (items) => {
    for (const i in items) {
      items[i].removeClass("selected");
    }
  },
  // -------------------------
  createObjectMap: (self, options) => {
    options.map.getElements("*[class]").forEach((item) => {
      options.objecMap[item.className.baseVal] = item;
    });
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
let map = new mapClass({
  dropDown: $$(".section7 .content .mapDropdown"),
  map: $$(".section7 .map svg"),
  a: $$(".section7 .content a"),
  btn: $$(".section7 .content .btn"),
  button: $$(".section7 .content .btn .text"),
});
// -----------------------------------------------------------
// class of section7
// tooltip of map
// -----------------------------------------------------------
let tooltipClass = new Class({
  options: {},
  init: function (options) {
    this.setNewOptions(this, options);
    this.onMap(this, this.options);
  },
  // -------------------------
  onMap: (self, options) => {
    let tooltip = null;
    options.province.onmouseleave = () => {
      if (tooltip !== null) {
        {
          self.deleteTooltip(tooltip);
          tooltip = null;
        }
      }
    };
    options.province.getElements("path[class]").forEach((path) => {
      path.onmousemove = (e) => {
        if (tooltip !== null) {
          self.deleteTooltip(tooltip);
          tooltip = null;
        }
        let top = e.clientY;
        let left = e.clientX;
        tooltip = self.createTooltip(path, top, left);
      };
    });
  },
  deleteTooltip: (tooltip) => {
    $$("main").removeChild(tooltip);
  },
  createTooltip: (tooltip, top, left) => {
    let div = document.createElement("DIV");
    let h = document.createElement("H3");
    let p = document.createElement("P");
    h.innerHTML = tooltip.getAttribute("province");
    p.innerHTML = tooltip.getAttribute("shobe") + " شعبه فعال";
    div.appendChild(h);
    div.appendChild(p);
    div.className = "tooltip";
    $$("main").appendChild(div);
    div.style.top = top - 10 + "px";
    div.style.left = left + 20 + "px";
    return div;
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
let tooltip = new tooltipClass({
  province: $$(".map .province"),
});
