// ---------------------------------------
//              section of logos
// ---------------------------------------
// let brandsClass = new Class({
//   options: {
//     elements: [],
//     linksTag: [],
//   },
//   init: function (options) {
//     this.setNewOptions(this, options);
//     this.onContainer(
//       this,
//       this.options.container,
//       this.options.linksTag,
//       this.options.links,
//       this.options.elements,
//       this.options.images
//     );
//   },
//   // --------------------------
//   onContainer: (self, container, linksTag, links, elements, images) => {
//     for (let i = 0; i < 19; i++) {
//       let a = document.createElement("A");
//       let element = document.createElement("DIV");
//       self.setImageSrc(a, links, element, images);
//       a.appendChild(element);
//       container.appendChild(a);
//       linksTag.push(a);
//       elements.push(element);
//       if (i === 0 || i === 1 || i === 2 || i === 3) a.className = "tablet";
//       if (i === 4 || i === 5 || i === 6 || i === 7) a.className = "mobile";
//     }
//     self.onCreateElement(
//       self,
//       linksTag,
//       links,
//       elements,
//       images,
//       self.options.time
//     );
//   },
//   onCreateElement: (self, a, links, elements, images, time) => {
//     time *= 1000;
//     setInterval(() => {
//       for (let x = 0; x < 3; x++) {
//         let i = Math.floor(Math.floor(Math.random() * 19));
//         self.setImageSrc(a, links, elements[i], images);
//       }
//     }, time);
//   },
//   setImageSrc: (a, links, element, images) => {
//     let i = Math.floor(Math.floor(Math.random() * 19));
//     a.href = links[i];
//     element.addClass("opacity0");
//     setTimeout(() => {
//       element.style.backgroundImage = "url('" + images[i] + "')";
//     }, 1);
//     setTimeout(() => {
//       element.removeClass("opacity0");
//     }, 500);
//   },
//   // --------------------------
//   setNewOptions: (self, options) => {
//     self.options = {
//       ...self.options,
//       ...options,
//     };
//   },
// });

// ---------------------------------------------------
//          section about-us-video
// ---------------------------------------------------
let aboutUsModalClass = new Class({
  options: {},
  init: function (options) {
    this.setNewOptions(this, options);
    this.onOpenModal(this.options);
    this.onCloseModal(this.options);
  },
  // -------------------------
  onOpenModal: (options) => {
    options.btnOpen.onclick = () => {
      options.modal.removeClass("disNone");
      setTimeout(() => {
        options.modal.removeClass("opacity0");
      }, 1);
    };
  },
  onCloseModal: (options) => {
    options.btnClose.onclick = () => {
      options.video.pause();
      options.video.currentTime = 0;
      options.modal.addClass("opacity0");
      setTimeout(() => {
        options.modal.addClass("disNone");
      }, 400);
    };
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});

// =================================================
// ======= section of map ========
// =================================================
let tooltipClass = new Class({
  options: {},
  init: function (options) {
    this.setNewOptions(this, options);
    this.onMap(this, this.options);
  },
  // -------------------------
  onMap: (self, options) => {
    let tooltip = null;
    options.province.onmouseleave = () => {
      if (tooltip !== null) {
        {
          self.deleteTooltip(tooltip);
          tooltip = null;
        }
      }
    };
    options.province.getElements("path[class]").forEach((path) => {
      path.onmousemove = (e) => {
        if (tooltip !== null) {
          self.deleteTooltip(tooltip);
          tooltip = null;
        }
        let top = e.clientY;
        let left = e.clientX;
        tooltip = self.createTooltip(path, top, left);
      };
    });
  },
  deleteTooltip: (tooltip) => {
    $$("main").removeChild(tooltip);
  },
  createTooltip: (tooltip, top, left) => {
    let div = document.createElement("DIV");
    let h = document.createElement("H3");
    let p = document.createElement("P");
    h.innerHTML = tooltip.getAttribute("province");
    p.innerHTML = tooltip.getAttribute("shobe") + " شعبه فعال";
    div.appendChild(h);
    div.appendChild(p);
    div.className = "tooltip";
    $$("main").appendChild(div);
    div.style.top = top - 10 + "px";
    div.style.left = left + 20 + "px";
    return div;
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
