// -----------------------------------------------------------
// class of section7
// counter
// -----------------------------------------------------------
let counterClass = new Class({
  options: {},
  init: function (options) {
    this.setNewOptions(this, options);
  },
  // -------------------------
  onComput: (self, counter, options, numberStart, numberEnd) => {
    setTimeout(() => {
      options.numberDiv.innerHTML = counter;
      let animation = null;
      clearInterval(animation);
      animation = setInterval(frame, 20);
      function frame() {
        if (counter >= numberEnd) {
          clearInterval(animation);
        } else {
          counter++;
          options.numberDiv.innerHTML = counter;
        }
        numberStart = counter;
      }
    }, 1500);
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
// -------------------------
// counter
// -------------------------
let counterActive = new counterClass({
  numberDiv: $$(".counterActive .counterNumber"),
  numberStart: 50,
  numberEnd: 150,
});
let counterCenter = new counterClass({
  numberDiv: $$(".counterCenter .counterNumber"),
  numberStart: 100,
  numberEnd: 200,
});
let counterImployer = new counterClass({
  numberDiv: $$(".counterImployer .counterNumber"),
  numberStart: 1100,
  numberEnd: 1200,
});
let counterCar = new counterClass({
  numberDiv: $$(".counterCar .counterNumber"),
  numberStart: 4400,
  numberEnd: 4500,
});
// -----------------------------------------------------------
// class of menu
// menu and scroll behavior are created here
// -----------------------------------------------------------
let menuClass = new Class({
  options: {
    index: 1,
  },
  init: function (options) {
    this.setNewOptions(this, options);
    this.makeMenus(this, this.options.menus, this.options);
    window.scrollTo({
      top: 0,
      behavior: "auto",
    });
  },
  // -----------------------------------------------------------
  makeMenus: (self, menus, options) => {
    menus.forEach((menu, menuIndex) => {
      let buttons = menu.getElements(".scrollCircle");
      buttons.forEach((button, i) => {
        button.onmouseover = () => {
          menu.getElements(".scrollMainCircle").innerHTML = options.icons[i];
          menu.getElements("p").innerHTML = options.titles[i];
        };
        button.onmouseleave = () => {
          menu.getElements("p").innerHTML = options.titles[menuIndex];
        };
      });
      menu.onmouseover = () => {
        menu.addClass("hover");
      };
      menu.onmouseleave = () => {
        menu.removeClass("hover");
      };
    });
  },

  // -----------------------------------------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
let menu = new menuClass({
  page: $$("html"),
  menus: $$(".scrollMenu"),
  icons: [
    "<span class='icon-HOME'></span>",
    "<span class='icon-50SALGI'></span>",
    "<span class='icon-GIFT'></span>",
    "<span class='icon-NEWS'></span>",
    "<span class='icon-COMPANY'></span>",
    "<span class='icon-HAT'></span>",
    "<span class='icon-MAP'></span>",
  ],

  titles: [
    "title1",
    "title2",
    "title3",
    "title4",
    "title5",
    "title6",
    "title7",
  ],
  // functions: [
  //   null,
  //   null,
  //   null,
  //   null,
  //   null,
  //   null,
  //   null,
  //   () => {
  //     counterActive.onComput(
  //       counterActive,
  //       counterActive.options.numberStart,
  //       counterActive.options
  //     );
  //     counterImployer.onComput(
  //       counterImployer,
  //       counterImployer.options.numberStart,
  //       counterImployer.options
  //     );
  //     counterCenter.onComput(
  //       counterCenter,
  //       counterCenter.options.numberStart,
  //       counterCenter.options
  //     );
  //     counterCar.onComput(
  //       counterCar,
  //       counterCar.options.numberStart,
  //       counterCar.options
  //     );
  //   },
  //   null,
  // ],
});
// -----------------------------------------------------------
// class of section5
// brands
// -----------------------------------------------------------
let brandsClass = new Class({
  options: {
    elements: [],
    linksTag: [],
    imageIndexs: [],
  },
  init: function (options) {
    this.setNewOptions(this, options);
    this.onContainer(
      this,
      this.options.container,
      this.options.linksTag,
      this.options.links,
      this.options.elements,
      this.options.images
    );
  },
  // --------------------------
  onContainer: (self, container, linksTag, links, elements, images) => {
    for (let i = 0; i < 20; i++) {
      let a = document.createElement("A");
      let element = document.createElement("IMG");
      self.setImageSrc(self, a, links, element, images, i);
      a.appendChild(element);
      container.appendChild(a);
      linksTag.push(a);
      elements.push(element);
      if (i === 0 || i === 1 || i === 2 || i === 3) a.className = "tablet";
      if (i === 4 || i === 5 || i === 6 || i === 7) a.className = "mobile";
    }
    self.onCreateElement(
      self,
      linksTag,
      links,
      elements,
      images,
      self.options.time
    );
  },
  onCreateElement: (self, a, links, elements, images, time) => {
    time *= 2000;
    setInterval(() => {
      for (let x = 0; x < 3; x++) {
        let indexTable = Math.floor(Math.floor(Math.random() * 20));
        self.setImageSrc(
          self,
          a[indexTable],
          links,
          elements[indexTable],
          images,
          indexTable
        );
      }
    }, time);
  },
  setImageSrc: (self, a, links, element, images, indexTable) => {
    let length = images.length;
    // ------------------------------------- جلوگیری از تکرار
    a.addClass("hide");
    setTimeout(() => {
      let indexImage = Math.floor(Math.floor(Math.random() * length));
      if (!self.options.imageIndexs.includes(indexImage)) {
        self.options.imageIndexs[indexTable] = indexImage;
        a.href = links[indexImage];
        element.src = images[indexImage];
        a.removeClass("hide");
      } else {
        self.setImageSrc(self, a, links, element, images, indexTable);
      }
    }, 500);
  },
  // --------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
let brands = new brandsClass({
  container: $$(".brandContainer"),
  images: [
    "assets/images/brands/brand01.jpg",
    "assets/images/brands/brand02.jpg",
    "assets/images/brands/brand03.jpg",
    "assets/images/brands/brand04.jpg",
    "assets/images/brands/brand05.jpg",
    "assets/images/brands/brand06.jpg",
    "assets/images/brands/brand07.jpg",
    "assets/images/brands/brand08.jpg",
    "assets/images/brands/brand09.jpg",
    "assets/images/brands/brand10.jpg",
    "assets/images/brands/brand11.jpg",
    "assets/images/brands/brand12.jpg",
    "assets/images/brands/brand13.jpg",
    "assets/images/brands/brand14.jpg",
    "assets/images/brands/brand15.jpg",
    "assets/images/brands/brand16.jpg",
    "assets/images/brands/brand17.jpg",
    "assets/images/brands/brand18.jpg",
    "assets/images/brands/brand19.jpg",
    "assets/images/brands/brand20.jpg",
    "assets/images/brands/brand21.jpg",
    "assets/images/brands/brand22.jpg",
    "assets/images/brands/brand23.jpg",
    "assets/images/brands/brand24.jpg",
    "assets/images/brands/brand25.jpg",
    "assets/images/brands/brand26.jpg",
    "assets/images/brands/brand27.jpg",
    "assets/images/brands/brand28.jpg",
    "assets/images/brands/brand29.jpg",
  ],
  links: [
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  ],
  time: 1.5,
});
// -----------------------------------------------------------
// class of section7
// map
// -----------------------------------------------------------
let mapClass = new Class({
  options: {
    objecMap: {},
    provinces: {
      tehran: "تهران",
      isfahan: "اصفهان",
      kerman: "کرمان",
    },
    links: {
      tehran: "https://www.google.com/",
      isfahan: "https://www.google.com/",
      kerman: "https://www.google.com/",
    },
  },
  init: function (options) {
    this.setNewOptions(this, options);
    this.setFunctionOfDropDown(this, this.options);
    this.createObjectMap(this, this.options);
  },
  setFunctionOfDropDown: (self, options) => {
    options.dropDown.onchange = async (e) => {
      await self.onRemoveClass(options.objecMap);
      if (e.target.value === "none") {
        options.btn.addClass("disNone");
      } else {
        options.btn.removeClass("disNone");
        options.objecMap[e.target.value].addClass("selected");
        options.button.innerHTML = "مشاهده نمایندگی";
        // "مشاهده نمایندگی استان " + options.provinces[e.target.value];
        options.a.href = options.dropDown.getAttribute("link") + "/#" + e.target.value;
      }
    };
  },
  onRemoveClass: (items) => {
    for (const i in items) {
      items[i].removeClass("selected");
    }
  },
  // -------------------------
  createObjectMap: (self, options) => {
    options.map.getElements("*[class]").forEach((item) => {
      options.objecMap[item.className.baseVal] = item;
    });
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
let map = new mapClass({
  dropDown: $$(".section7 .content .mapDropdown"),
  map: $$(".section7 .map svg"),
  a: $$(".section7 .content a"),
  btn: $$(".section7 .content .btn"),
  button: $$(".section7 .content .btn .text"),
});
// -----------------------------------------------------------
// class of section7
// tooltip of map
// -----------------------------------------------------------
let tooltipClass = new Class({
  options: {},
  init: function (options) {
    this.setNewOptions(this, options);
    this.onMap(this, this.options);
  },
  // -------------------------
  onMap: (self, options) => {
    let tooltip = null;
    options.province.onmouseleave = () => {
      if (tooltip !== null) {
        {
          self.deleteTooltip(tooltip);
          tooltip = null;
        }
      }
    };
    options.province.getElements("path[class]").forEach((path) => {
      path.onmousemove = (e) => {
        if (tooltip !== null) {
          self.deleteTooltip(tooltip);
          tooltip = null;
        }
        let top = e.clientY;
        let left = e.clientX;
        tooltip = self.createTooltip(path, top, left);
      };
    });
  },
  deleteTooltip: (tooltip) => {
    $$("body").removeChild(tooltip);
  },
  createTooltip: (tooltip, top, left) => {
    let div = document.createElement("DIV");
    let h = document.createElement("H3");
    let p = document.createElement("P");
    h.innerHTML = tooltip.getAttribute("province");
    p.innerHTML = tooltip.getAttribute("shobe") + " شعبه فعال";
    div.appendChild(h);
    div.appendChild(p);
    div.className = "tooltip";
    $$("body").appendChild(div);
    div.style.top = top - 10 + "px";
    div.style.left = left + 20 + "px";
    return div;
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
let tooltip = new tooltipClass({
  province: $$(".map .province"),
});
