jQuery(document).ready(function ($) {
  // ============================================
  //     product main slider section
  // ============================================
  if ($(".section-product-slider .slider").length) {
    $(".section-product-slider .slider").slick({
      infinite: true,
      centerMode: true,
      slidesToShow: 4,
      slidesToScroll: 1,
      arrows: false,
      centerPadding: "10%",
      responsive: [
        {
          breakpoint: 1281,
          settings: {
            slidesToShow: 3,
          },
        },
        {
          breakpoint: 1025,
          settings: {
            centerMode: false,
            slidesToShow: 3,
          },
        },
        {
          breakpoint: 771,
          settings: {
            centerMode: true,
            slidesToShow: 2,
          },
        },
        {
          breakpoint: 650,
          settings: {
            centerMode: false,
            slidesToShow: 2,
          },
        },
        {
          breakpoint: 527,
          settings: {
            slidesToShow: 1,
            centerPadding: "20%",
          },
        },
        {
          breakpoint: 426,
          settings: {
            slidesToShow: 1,
            centerPadding: "10%",
          },
        },
        {
          breakpoint: 376,
          settings: {
            centerMode: false,
            slidesToShow: 1,
          },
        },
      ],
    });
  }
  // ============================================
  //     products main slider icecream section
  // ============================================
  if ($(".products-main .title-container .slider").length) {
    var swiper = new Swiper(".products-main .title-container .slider", {
      slidesPerView: "3",
      spaceBetween: 0,
      loop: false,
      direction: "horizontal",
      breakpoints: {
        526: {
          slidesPerView: "2",
          loop: true,
          centeredSlides: true,
        },
      },
      on: {
        init: function () {
          $(".swiper-slide").addClass("changed");
          // fraction에 현재 인덱스와 전체 인덱스 표시
          // this.loopedSlides는 loop, slidesPerView: 'auto'일 때 제대로 동작
          $(".custom-fraction .current").text(this.realIndex + 1);
          $(".custom-fraction .all").text(this.loopedSlides);
          // console.log(this);
          // console.log(this.loopedSlides)
        },
        slideChangeTransitionStart: function () {
          // 기본적으로 제공하는 swiper-slide-active 클래스를 이용해
          // css transition 애니메이션 작성 가능하다.
          // 다만 루프 모드일 때에는 루프 픽스를 하며 slide를 바꿔치기를 하는데,
          // 이 때 플리커링이 발생할 수 있다.
          // css transition을 서로 다르게 설정한 changed, changing 클래스를 이용
          $(".swiper-slide").addClass("changing");
          $(".swiper-slide").removeClass("changed");

          // 페이지 넘어갈 때마다 fraction 현재 인덱스 변경
          $(".custom-fraction .current").text(this.realIndex + 1);
        },
        slideChangeTransitionEnd: function () {
          // changing : transition O
          // changed : transition X
          $(".swiper-slide").removeClass("changing");
          $(".swiper-slide").addClass("changed");
        },
      },
    });
    // 슬라이더 할당한 swiper로 슬라이더 제어
    $(".auto-start").on("click", function () {
      // 기본 설정으로 autoplay 시작
      console.log("autoplay start");
      swiper.autoplay.start();
    });
    $(".auto-stop").on("click", function () {
      console.log("autoplay stop");
      swiper.autoplay.stop();
    });
  }
  if ($(".products-main .sliderContainer .slider").length) {
    var swiper = new Swiper(".products-main .sliderContainer .slider", {
      slidesPerView: "3",
      spaceBetween: 30,
      loop: true,
      direction: "horizontal",
      navigation: {
        nextEl: ".swiper-button-next",
        prevEl: ".swiper-button-prev",
      },
      breakpoints: {
        1199: {
          slidesPerView: "auto",
          centeredSlides: true,
        },
        991: {
          slidesPerView: "2",
        },
        770: {
          slidesPerView: "auto",
          centeredSlides: true,
          spaceBetween: 30,
        },
        375: {
          slidesPerView: "1",
        },
      },
      on: {
        init: function () {
          $(".swiper-slide").addClass("changed");
          // fraction에 현재 인덱스와 전체 인덱스 표시
          // this.loopedSlides는 loop, slidesPerView: 'auto'일 때 제대로 동작
          $(".custom-fraction .current").text(this.realIndex + 1);
          $(".custom-fraction .all").text(this.loopedSlides);
          // console.log(this);
          // console.log(this.loopedSlides)
        },
        slideChangeTransitionStart: function () {
          // 기본적으로 제공하는 swiper-slide-active 클래스를 이용해
          // css transition 애니메이션 작성 가능하다.
          // 다만 루프 모드일 때에는 루프 픽스를 하며 slide를 바꿔치기를 하는데,
          // 이 때 플리커링이 발생할 수 있다.
          // css transition을 서로 다르게 설정한 changed, changing 클래스를 이용
          $(".swiper-slide").addClass("changing");
          $(".swiper-slide").removeClass("changed");

          // 페이지 넘어갈 때마다 fraction 현재 인덱스 변경
          $(".custom-fraction .current").text(this.realIndex + 1);
        },
        slideChangeTransitionEnd: function () {
          // changing : transition O
          // changed : transition X
          $(".swiper-slide").removeClass("changing");
          $(".swiper-slide").addClass("changed");
        },
      },
    });
    // 슬라이더 할당한 swiper로 슬라이더 제어
    $(".auto-start").on("click", function () {
      // 기본 설정으로 autoplay 시작
      console.log("autoplay start");
      swiper.autoplay.start();
    });
    $(".auto-stop").on("click", function () {
      console.log("autoplay stop");
      swiper.autoplay.stop();
    });
  }
  if ($(".products-main .sliderContainer-2 .slider").length) {
    var swiper_2 = new Swiper(".products-main .sliderContainer-2 .slider", {
      slidesPerView: "4",
      spaceBetween: 60,
      loop: true,
      direction: "horizontal",
      pagination: {
        el: ".swiper-pagination",
      },
      breakpoints: {
        // 600px 이하가 되면 슬라이드 간 간격을 0으로
        1199: {
          slidesPerView: "3",
        },
        991: {
          slidesPerView: "auto",
          spaceBetween: 20,
          centeredSlides: true,
        },
        767: {
          slidesPerView: "2",
          spaceBetween: 20,
        },
        575: {
          slidesPerView: "auto",
          spaceBetween: 20,
          centeredSlides: true,
        },
        526: {
          slidesPerView: "auto",
          spaceBetween: 20,
          centeredSlides: true,
        },
      },

      on: {
        init: function () {
          $(".swiper-slide").addClass("changed");

          // fraction에 현재 인덱스와 전체 인덱스 표시
          // this.loopedSlides는 loop, slidesPerView: 'auto'일 때 제대로 동작
          $(".custom-fraction .current").text(this.realIndex + 1);
          $(".custom-fraction .all").text(this.loopedSlides);
          // console.log(this);
          // console.log(this.loopedSlides)
        },

        slideChangeTransitionStart: function () {
          // 기본적으로 제공하는 swiper-slide-active 클래스를 이용해
          // css transition 애니메이션 작성 가능하다.
          // 다만 루프 모드일 때에는 루프 픽스를 하며 slide를 바꿔치기를 하는데,
          // 이 때 플리커링이 발생할 수 있다.
          // css transition을 서로 다르게 설정한 changed, changing 클래스를 이용
          $(".swiper-slide").addClass("changing");
          $(".swiper-slide").removeClass("changed");

          // 페이지 넘어갈 때마다 fraction 현재 인덱스 변경
          $(".custom-fraction .current").text(this.realIndex + 1);
        },

        slideChangeTransitionEnd: function () {
          // changing : transition O
          // changed : transition X
          $(".swiper-slide").removeClass("changing");
          $(".swiper-slide").addClass("changed");
        },
      },
    });
    // 슬라이더 할당한 swiper로 슬라이더 제어
    $(".auto-start").on("click", function () {
      // 기본 설정으로 autoplay 시작
      console.log("autoplay start");
      swiper.autoplay.start();
    });
    $(".auto-stop").on("click", function () {
      console.log("autoplay stop");
      swiper.autoplay.stop();
    });
  }
  // ============================================
  //     product page slider of product
  // ============================================
  if ($(".product_slider-main").length) {
    var $slider = $(".product_slider-main")
      .on("init", function (slick) {
        $(".product_slider-main").fadeIn(1000);
      })
      .slick({
        slidesToShow: 1,
        slidesToScroll: 1,
        arrows: true,
        autoplay: true,
        lazyLoad: "ondemand",
        arrows: false,
        autoplaySpeed: 3000,
        asNavFor: ".product__slider-thmb",
      });
    var $slider2 = $(".product__slider-thmb")
      .on("init", function (slick) {
        $(".product__slider-thmb").fadeIn(1000);
      })
      .slick({
        slidesToShow: 4,
        slidesToScroll: 1,
        lazyLoad: "ondemand",
        asNavFor: ".product_slider-main",
        dots: false,
        centerMode: false,
        focusOnSelect: true,
      });
    //remove active class from all thumbnail slides
    $(".product__slider-thmb .slick-slide").removeClass("slick-active");
    //set active class to first thumbnail slides
    $(".product__slider-thmb .slick-slide").eq(0).addClass("slick-active");
    // On before slide change match active thumbnail to current slide
    $(".product_slider-main").on(
      "beforeChange",
      function (event, slick, currentSlide, nextSlide) {
        var mySlideNumber = nextSlide;
        $(".product__slider-thmb .slick-slide").removeClass("slick-active");
        $(".product__slider-thmb .slick-slide")
          .eq(mySlideNumber)
          .addClass("slick-active");
      }
    );
    // init slider
    require(["js-sliderWithProgressbar"], function (slider) {
      $(".product_slider-main").each(function () {
        me.slider = new slider(
          $(this),
          options,
          sliderOptions,
          previewSliderOptions
        );

        // stop slider
        //me.slider.stop();

        // start slider
        //me.slider.start(index);

        // get reference to slick slider
        //me.slider.getSlick();
      });
    });
    var options = {
      progressbarSelector: ".bJS_progressbar",
      slideSelector: ".bJS_slider",
      previewSlideSelector: ".bJS_previewSlider",
      progressInterval: "",
      // add your own progressbar animation function to sync it i.e. with a video
      // function will be called if the current preview slider item (".b_previewItem") has the data-customprogressbar="true" property set
      onCustomProgressbar: function ($slide, $progressbar) {},
    };
    // slick slider options
    // see: https://kenwheeler.github.io/slick/
    var sliderOptions = {
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: false,
      fade: true,
      autoplay: true,
    };
    // slick slider options
    // see: https://kenwheeler.github.io/slick/
    var previewSliderOptions = {
      slidesToShow: 3,
      slidesToScroll: 1,
      dots: false,
      focusOnSelect: true,
      centerMode: true,
    };
  }
  // ============================================
  //     code of Behnam
  // ============================================
  if ($(".faq-item").length) {
    let question = document.querySelectorAll(".question");
    question.forEach((question) => {
      question.addEventListener("click", (event) => {
        const active = document.querySelector(".question.active");
        if (active && active !== question) {
          active.classList.toggle("active");
          active.nextElementSibling.style.maxHeight = 0;
        }
        question.classList.toggle("active");
        const answer = question.nextElementSibling;
        if (question.classList.contains("active")) {
          answer.style.maxHeight = answer.scrollHeight + "px";
        } else {
          answer.style.maxHeight = 0;
        }
      });
    });
    $(".faq-item").click(function () {
      $(".faq-item").removeClass("faq-item-active");
      $(this).addClass("faq-item-active");
    });
  }
});
