<?php /* Template Name: contact us page */ ?>
<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
get_header();
?>
<?php
$text = get_field('text');
$link = get_field('link');
$phone = get_field('phone');
$map_img = get_field('map_img');
$contact_form_text = get_field('contact_form_text');
?>

    <main id="main" class="site-main main-about">
        <section class="container-fluid inner-header">
            <div class="row">
                <div class="col-12">
                    <div class="title-part inner-title">
                        <h1 class="title-site"><?php the_title(); ?></h1>
                        <div class="shareIcon">
                            <span class="icon-Share"></span>
                            <ul>
                                <li class="phone"><a href="" target="_blank"><span class="icon-whatsapp"></span></a></li>
                                <li class="insta"><a href="" target="_blank"><span class="icon-instageram"></span></a></li>
                                <li class="twitt"><a href="" target="_blank"><span class="icon-twitter"></span></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <div class="title-container">
            <div class="btn-container">
                <div id="about-us" class="container">
                    <a href="#">
                        صفحه اصلی
                        <span class="icon-Arrow-L"></span>
                    </a>
                    <span class="breadcrumb_last" aria-current="page"><?php the_title(); ?></span>
                </div>
                <div class="menuCircleContainer">
                    <a class="menuCircle menuCircle1" href="">
                        <span class="icon-NEWS"></span>
                    </a>
                    <a class="menuCircle menuCircle2" href="">
                        <span class="icon-50SALGI"></span>
                    </a>
                    <a class="menuCircle menuCircle1" href="">
                        <span class="icon-Mihan"></span>
                    </a>
                    <a class="menuCircle menuCircle2" href="">
                        <span class="icon-HAT"></span>
                    </a>
                    <a class="menuCircle menuCircle2" href="">
                        <span class="icon-GIFT"></span>
                    </a>
                </div>
            </div>
        </div>
        <section class="container-fluid curve-after"></section>
        <section class="container contact-branch">
            <div class="row">
                <div class="col-6">
                    <p class="">
                        <?php echo $text; ?>
                    </p>
                </div>

                <div class="col-6">
                    <img src=" <?php echo $map_img; ?>" alt="">
                </div>
            </div>
        </section>
        <section class="container">
            <div class="row">
                <div class="col-12">
                    <div class="branch-item-contact-link contact-link">

                        <div class="btn">
                            <div class="btnCircle"></div>
                            <a target="_blank" href="<?php echo $link; ?>" class="">

                                <span> مسیربابی </span>
                                <span class="icon-DIRCTION"></span>
                            </a>
                        </div>
                        <div class="btn">
                            <div class="btnCircle"></div>
                            <a href="<?php echo "tel:".$phone; ?>" class="">
                                <span> تماس </span>
                                <span class="icon-Call2"></span>
                            </a>
                        </div>

                    </div>
                </div>
            </div>
        </section>

        <section class="container">
            <div class="row">
                <div class="col-12">
                    <div class="contact-form-text">
                        <p>
                            <?php echo $contact_form_text; ?>
                        </p>
                    </div>
                    <div class="contact-form">
                        <?php
                        echo do_shortcode('[gravityform id="1" title="false" description="false" ajax="true" tabindex="49" field_values="check=First Choice,Second Choice"]');
                        ?>
                    </div>

                </div>
            </div>
        </section>


        <style>
            .contact-link {
                display: flex;
                justify-content: center;
                margin-top: 25px;
            }

            .contact-link a {
                margin: 0 10px;
            }

            .gform_button.button{
                background: #003383;
                color: #fff;
                width: 155px;
                text-align: center;
                height: 54px;
                border-radius: 50px;
                font-size: 16px;
                margin: 20px auto 0;
            }
            .gform_wrapper.gravity-theme .gfield textarea.large {
                height: 288px;
                box-shadow: 0 15px 68px #1a366829;
                border-radius: 16px;
                border: 0;
                font-size: 13px;
                padding: 25px;
            }
            .gform_wrapper.gravity-theme .gfield input.large, .gform_wrapper.gravity-theme .gfield select.large {
                width: 100%;
                height: 60px;
                box-shadow: 0 15px 68px #1a366829;
                border-radius: 16px;
                border: 0;
                font-size: 13px;
                padding: 25px;
            }
            .contact-form-text{
                background: #00338314;
                border-radius: 16px;
                height: 80px;
                line-height: 80px;
                padding: 0 30px;
                margin: 75px auto 40px;
            }
            .contact-form-text p{
                color: #2C2C2E;
                font-size: 16px;
            }

            .branch-item-contact-link a {
                width: 100%;
                height: 100%;
                position: relative;
                text-align: right;
                display: flex;
                align-items: center;
                background-color: transparent;
                line-height: 2;
            }
            .btn, button {

                max-width: 150px;
                min-width: 150px;
                margin: 10px 10px 0;
            }
            .contact-link .btn:hover a{
                color: #fff !important;
            }
            .contact-link .btn:hover span:before {

                color: #fff;
            }
        </style>
    </main>
<?php get_footer(); ?>