<?php
/**
 * The template for displaying the footer.
 *
 * Contains the body & html closing tags.
 *
 * @package HelloElementor
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

if (!function_exists('elementor_theme_do_location') || !elementor_theme_do_location('footer')) {
    if (did_action('elementor/loaded') && hello_header_footer_experiment_active()) {
        get_template_part('template-parts/dynamic-footer');
    } else {
        get_template_part('template-parts/footer');
    }
}
?>
<footer class="panel section8" id="section8">


    <?php if (is_front_page()) { ?>
        <div class="scrollMenu">
            <div class="scrollCircleParent">
                <div class="scrollCircle">
                    <a href="#section1"><span class="icon-HOME"></span></a>
                </div>
                <p>title</p>
            </div>
            <div class="scrollCircleParent">
                <div class="scrollCircle">
                    <a href="#section2"><span class="icon-50SALGI"></span></a>
                </div>
                <p>title</p>
            </div>
            <div class="scrollCircleParent">
                <div class="scrollCircle">
                    <a href="#section3"><span class="icon-GIFT"></span></a>
                </div>
                <p>title</p>
            </div>
            <div class="scrollCircleParent">
                <div class="scrollCircle">
                    <a href="#section4"><span class="icon-NEWS"></span></a>
                </div>
                <p>title</p>
            </div>
            <div class="scrollCircleParent">
                <div class="scrollCircle">
                    <a href="#section5"><span class="icon-COMPANY"></span></a>
                </div>
                <p>title</p>
            </div>
            <div class="scrollCircleParent">
                <div class="scrollCircle">
                    <a href="#section6"><span class="icon-HAT"></span></a>
                </div>
                <p>title</p>
            </div>
            <div class="scrollCircleParent">
                <div class="scrollCircle">
                    <a href="#section7"><span class="icon-MAP"></span></a>
                </div>
                <p>title</p>
            </div>
        </div>
    <?php } ?>

    <div class="containerFull containerFull1">
        <div class="container">
            <div class="group">
                <h3>گروه صنعتی میهن</h3>
                <a href=""><span class="icon-whatsapp"></span></a>
                <a href=""><span class="icon-aparat"></span></a>
                <a href=""><span class="icon-instageram"></span></a>
                <p>
                    ما توانستیم در طول نیم قرن تلاش و حضور بی‌وقفه، با پشتکار یک نوجوان بااراده 15 ساله، مسیر شگفتی را
                    پشت سر بگذاریم. در این سال‌ها نه تنها در کشور عزیزمان ایران بلکه در عرصه بین‌المللی موفق شدیم نام
                    خود را به عنوان یک گروه صنعتی موفق تثبیت کنیم. به علاوه با تحقق آرمان کارآفرینی یک خانواده 25 هزار
                    نفری را گرد هم آوردیم و قدم به قدم در مسیر پیشرفت صنعت خود گام برداشتیم.
                </p>
            </div>
            <div class="family">
                <h3>خانواده بزرگ میهن</h3>
                <ul>
                    <li><a href="<?php echo get_home_url(); ?>/about-us/">درباره ما</a></li>
                    <li><a href="<?php echo get_home_url(); ?>/responsibility/">مسئولیت اجتماعی</a></li>
                    <li><a href="<?php echo get_home_url(); ?>/awards-and-honors/">جوایز و افتخارات</a></li>
                    <li><a href="<?php echo get_home_url(); ?>/history/">از گذشته تا امروز</a></li>
                    <li><a href="<?php echo get_home_url(); ?>/in-the-year-that-passed/">گروه میهن در سالی که گذشت</a>
                    </li>
                    <li><a href="<?php echo get_home_url(); ?>/category/news/">آخرین رویداد ها</a></li>
                    <li><a href="">همکاری با ما</a></li>
                    <li><a href="<?php echo get_home_url(); ?>/faq/">سوالات متداول</a></li>
                </ul>
            </div>
            <div class="instagramGroup">
                <h3>آخرین های اینستاگرام</h3>
                <div class="instagramMobile">
                    <div>
                        <a target="_blank" href="https://www.instagram.com/tv/CeTC2-DlZaX/?igshid=YmMyMTA2M2Y=">
                            <img src="<?php echo get_home_url(); ?>/wp-content/uploads/2022/06/download.jpg" alt=""/>
                        </a>
                        <a target="_blank" href="https://www.instagram.com/tv/CeN84vKFFrC/?igshid=YmMyMTA2M2Y=">
                            <img src="<?php echo get_home_url(); ?>/wp-content/uploads/2022/06/download2.jpg" alt=""/>
                        </a>
                        <a target="_blank" href="https://www.instagram.com/p/Cd23rFXAFhq/?igshid=YmMyMTA2M2Y=">
                            <img src="<?php echo get_home_url(); ?>/wp-content/uploads/2022/06/download3.jpg" alt=""/>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="containerFull containerFull2">
        <div class="container">
            <div class="addressContainer">
                <p class="address">
                    <span class="icon-Location"></span>
                    تهران – كيلومتر 22 جاده تهران ساوه – اسلامشهر – روبروی شهرك قائميه – شركت ميهن
                </p>
                <a href="">
                    <p class="phone">
                        <span class="icon-Call2"></span>
                        تلفن : 57524-021
                    </p>
                </a>
                <a href="">
                    <p class="email">
                          <span class="icon-E-Mail"></span>
                        پست الکترونیکی : info@mihan-dairy.com
                    </p>
                </a>
            </div>
            <div class="mihanClub">
                <h3>میهن کلاب</h3>
                <ul>
                    <li><a href="">جشنواره‌ها</a></li>
                    <li><a href="">کمپین‌ها</a></li>
                </ul>
            </div>
            <div class="mihanMag">
                <h3>میهن مگ</h3>
                <ul>
                    <li><a href="">دستور پخت‌ها</a></li>
                    <li><a href="">مقالات آموزشی</a></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="containerFull containerFull3">
        <form class="container">
            <p>کلیه حقوق این وبسایت متعلق به گروه صنعتی میهن می‌باشد.</p>

            <p class="news">عضویت در خبرنامه</p>
            <input type="email" placeholder="ایمیل خود را وارد کنید"/>
            <input type="submit"/>
        </form>
    </div>
    <div class="containerFull containerFull3 responsive">
        <form class="container">
            <div>
                <p class="news">عضویت در خبرنامه</p>
                <input type="email" placeholder="ایمیل خود را وارد کنید"/>
                <input type="submit"/>
            </div>
            <p class="harim">حریم خصوصی</p>
            <p class="rools">قوانین و مقررات</p>
            <p>کلیه حقوق این وبسایت متعلق به گروه صنعتی میهن می‌باشد.</p>
        </form>
    </div>
</footer>


<style>


    .menuBrandsFull .menuContainer .containerImages{
        grid-template-columns: repeat(3, 1fr);
        display: grid;
        gap: 20px;
    }
    .menuBrandsFull .menuContainer .containerImages img{
        max-width: 75px;
    }
    .menuBrandsChildResponsive img{
        max-height: 110px;
    }
    .menuBrandsChildResponsive .container{
        grid-template-columns: repeat(2, 1fr);
        display: grid !important;
        gap: 20px;
    }
    .menuBrandsChildResponsive ul li, .menuResponsiveChild li a, .menuResponsiveChild h2 {
        width: 100% !important;
        height: auto;
    }

    .menuBrandsChildResponsive .container li {

        margin-top: 10px;

    }
</style>
<?php

$args = array(
    'post_type' => 'brands',
    'posts_per_page' => -1
);
$brands_company = [];
$the_query = new WP_Query($args);
if ($the_query->have_posts()) :
    while ($the_query->have_posts()) :
        $the_query->the_post();
        $company = get_field('company', get_the_ID());
        if (!array_search($company, $brands_company)) {
            $brands_company[] = $company;
        }
        unset($brands_company[0]);
    endwhile;
    wp_reset_postdata();
endif;
?>
<?php wp_footer(); ?>
<script>
    // ----------------------------
    // menu full screen size
    // ----------------------------
    let menuFullClass = new Class({
        options: {
            a1: false,
            a2: false,
        },
        init: function (options) {
            this.setNewOptions(this, options);
            this.onOpen(this.options);
            this.onClose(this.options);
        },
        // ----------------------------
        onOpen: (options) => {
            options.btnOpen1.onmouseover = () => {
                options.a1 = true;
                options.menuContainer.removeClass("disNone");
                setTimeout(() => {
                    options.menu.removeClass("close");
                }, 1);
            };
            options.btnOpen2.onmouseover = () => {
                options.a2 = true;
                options.menuContainer.removeClass("disNone");
            };
        },
        onClose: (options) => {
            options.btnOpen1.onmouseout = () => {
                options.a1 = false;
                setTimeout(() => {
                    if (!options.a1 && !options.a2) {
                        options.menu.addClass("close");
                        setTimeout(() => {
                            options.menuContainer.addClass("disNone");
                        }, 1);
                    }
                }, 1);
            };
            options.btnOpen2.onmouseout = () => {
                options.a2 = false;
                setTimeout(() => {
                    if (!options.a1 && !options.a2) {
                        options.menu.addClass("close");
                        setTimeout(() => {
                            options.menuContainer.addClass("disNone");
                        }, 1);
                    }
                }, 1);
            };
        },
        // --------------------------
        setNewOptions: (self, options) => {
            self.options = {
                ...self.options,
                ...options,
            };
        },
    });
    // ------------ usage
    let menuMihanBtn = new menuFullClass({
        menuContainer: $$(".menuGroupsFull"),
        menu: $$(".menuGroupsFull .full"),
        btnOpen1: $$(".btnGroup"),
        btnOpen2: $$(".menuGroupsFull .menuFull"),
    });
    let menuProductsBtn = new menuFullClass({
        menuContainer: $$(".menuProductsFull"),
        menu: $$(".menuProductsFull .full"),
        btnOpen1: $$(".btnProduct"),
        btnOpen2: $$(".menuProductsFull .menuFull"),
    });
    let menuBrandsBtn = new menuFullClass({
        menuContainer: $$(".menuBrandsFull"),
        menu: $$(".menuBrandsFull .full"),
        btnOpen1: $$(".btnBrand"),
        btnOpen2: $$(".menuBrandsFull .menuFull"),
    });
    // ----------------------------
    // menu brand full screen size
    // ----------------------------
    let menuBrandClass = new Class({
        options: {
            list: [],
        },
        init: function (options) {
            this.setNewOptions(this, options);
            this.setTitles(this, this.options);
            this.onClick(this, this.options, this.options.items[0], 0);
        },
        // -------------------------------
        setTitles: (self, options) => {
            let ul = document.createElement("UL");
            options.items.forEach((item, index) => {
                let a = document.createElement("A");
                let li = document.createElement("LI");
                li.innerHTML = item.title;
                li.onmouseover = () => self.onClick(self, options, item, index);
                options.list.push(li);
                a.appendChild(li);
                ul.appendChild(a);
            });
            options.container.appendChild(ul);
        },

        onClick: (self, options, item, index) => {
            self.setBackColorTitle(options, index);
            self.setImages(options, item);
        },
        setImages: (options, item) => {
            options.containerImage.innerHTML = "";
            item.images.forEach((image, index) => {
                let a = document.createElement("A");
                a.href = "";
                let img = document.createElement("IMG");
                img.src = image;
                a.appendChild(img);
                a.href = item.links[index];
                options.containerImage.appendChild(a);
            });
        },
        setBackColorTitle: (options, index) => {
            options.list.forEach((li) => {
                li.removeClass("selected");
            });
            // options.list[index].addClass("selected");
        },
        // -------------------------------
        setNewOptions: (self, options) => {
            self.options = {
                ...self.options,
                ...options,
            };
        },
    });
    // ------------ usage
    let menuBrand = new menuBrandClass({
        container: $$(".menuBrandsFull .containerTitles"),
        containerImage: $$(".menuBrandsFull .containerImages"),
        items: [


            <?php
            foreach ($brands_company as $value) {

            ?>
            {
                title: <?php echo '"' ?><?php echo $value ?><?php echo '"' ?>,
                <?php
                $args = array(
                    'post_type' => 'brands',
                    'meta_query' => array(
                        array(
                            'key' => 'company',
                            'value' => $value
                        )
                    )
                );
                $the_query = new WP_Query($args);
                if ($the_query->have_posts()) :
                ?>
                images: [
                    <?php
                    while ($the_query->have_posts()) :
                    $the_query->the_post();
                    $company = get_field('company', get_the_ID());
                    ?>

                    <?php echo '"' ?>  <?php echo get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?><?php echo '",' ?>


                    <?php
                    endwhile;
                    wp_reset_postdata();
                    ?>
                ],

                links: [
                    <?php
                    while ($the_query->have_posts()) :
                    $the_query->the_post();
                    $company = get_field('company', get_the_ID());
                    ?>
                    <?php echo '"' ?><?php the_permalink(); ?><?php echo '",' ?>
                    <?php
                    endwhile;
                    wp_reset_postdata();
                    ?>
                ],
                <?php
                endif;
                ?>

            },
            <?php
            }
            ?>
        ],
    });

    // ----------------------------
    // menu search full screen size
    // ----------------------------
    let menuSearchClass = new Class({
        options: {},
        init: function (options) {
            this.setNewOptions(this, options);
            this.onButtonClick(this, this.options);
            this.onButtonClose(this, this.options);
        },
        // -------------------------
        onButtonClick: (self, options) => {
            options.button.onclick = () => {
                options.resultSearch.removeClass("disNone");
                setTimeout(() => {
                    options.resultSearch.addClass("open");
                }, 1);
            };
            options.buttonSearchRes.onclick = () => {
                options.resultSearch.removeClass("disNone");
                setTimeout(() => {
                    options.resultSearch.addClass("open");
                }, 1);
            };
        },
        onButtonClose: (self, options) => {
            options.buttonClose.onclick = () => {
                options.resultSearch.removeClass("open");
                setTimeout(() => {
                    options.resultSearch.addClass("disNone");
                }, 250);
            };
        },
        // -------------------------
        setNewOptions: (self, options) => {
            self.options = {
                ...self.options,
                ...options,
            };
        },
    });
    let menuSearch = new menuSearchClass({
        resultSearch: $$("header .resultSearch"),
        button: $$("header .containerSearch .btnSearch"),
        buttonSearchRes: $$("header .btnSearchRes"),
        buttonClose: $$("header .searchContainer .btnClose"),
    });
    // ----------------------------
    // menu icon open menu class
    // ----------------------------
    let openMenuClass = new Class({
        options: {
            isOpen: false,
        },
        init: function (options) {
            this.setNewOptions(this, options);
            this.onClickMneuIcon(this, this.options);
        },
        // -----------------------------------------------------------
        onClickMneuIcon: (self, options) => {
            options.menuIcon.addEventListener("click", () => {
                if (
                    options.menu.classList.contains("disNone") &&
                    options.isOpen === true
                ) {
                    options.isOpen = false;
                }
                self.onMenuIcon(options);
                self.onMenuDisplay(options);
                self.onMenu(self, options);
            });
        },
        onMenuIcon: (options) => {
            if (options.isOpen) {
                options.menuIcon.removeClass("open");
            } else if (!options.isOpen) {
                options.menuIcon.addClass("open");
            }
        },
        onMenuDisplay: (options) => {
            if (options.isOpen) {
                options.menu.addClass("disNone");
                $$("header").removeClass("fixed");
                $$("body").removeClass("overflowHidden");
            } else if (!options.isOpen) {
                options.menu.removeClass("disNone");
                $$("header").addClass("fixed");
                $$("body").addClass("overflowHidden");
            }
        },
        onMenu: (self, options) => {
            setTimeout(() => {
                if (options.isOpen) {
                    options.menu.removeClass("open");
                    options.isOpen = false;
                    self.onClose(options);
                } else if (!options.isOpen) {
                    options.menu.addClass("open");
                    options.isOpen = true;
                }
            }, 1);
        },
        onClose: (options) => {
            let arr = options.menu.getElementsByTagName("ul");
            for (let index = 0; index < arr.length; index++) {
                arr[index].removeClass("open");
                arr[index].addClass("disNone");
            }
        },
        // -----------------------------------------------------------
        setNewOptions: (self, options) => {
            self.options = {
                ...self.options,
                ...options,
            };
        },
    });
    let openMenu = new openMenuClass({
        menuIcon: $$(".menuIcon"),
        menu: $$(".menuResponsive"),
    });
    // ----------------------------
    // menu responsive size
    // ----------------------------
    let menuResClass = new Class({
        options: {},
        init: function (options) {
            this.setNewOptions(this, options);
            this.onBtnClick(this, this.options);
            this.onBtnBack(this, this.options);
            this.setTitle(this, this.options);
            this.onMenuIcon(this, this.options);
        },
        // -----------------------------------------------------------
        onMenuIcon: (self, options) => {
            options.menuIcon.addEventListener("click", () => {
                options.menu.addClass("menuHide");
                options.menuParent.removeClass("menuParentHide");
            });
        },
        onBtnClick: (self, options) => {
            options.btn.onclick = () => {
                options.menu.removeClass("menuHide");
                options.menuParent.addClass("menuParentHide");
            };
        },
        onBtnBack: (self, options) => {
            options.menu.getElementsByClassName("btnResponsiveBack")[0].onclick =
                () => {
                    options.menu.addClass("menuHide");
                    options.menuParent.removeClass("menuParentHide");
                };
        },
        setTitle: (self, options) => {

            options.menu
                .getElementsByClassName("btnResponsiveBack")[0]
                .getElementsByTagName("h2")[0].innerHTML = options.title;
        },
        // -----------------------------------------------------------
        setNewOptions: (self, options) => {
            self.options = {
                ...self.options,
                ...options,
            };
        },
    });

    let menuResGroups = new menuResClass({
        menuIcon: $$(".menuIcon"),
        btn: $$(".menuGroupBtn"),
        menu: $$(".menuGroupsResponsive"),
        title: "گروه صنعتی میهن",
        menuParent: $$(".menuResponsive"),
    });
    let menuResProducts = new menuResClass({
        menuIcon: $$(".menuIcon"),
        btn: $$(".menuProductsBtn"),
        menu: $$(".menuProductsResponsive"),
        title: "محصولات",
        menuParent: $$(".menuResponsive"),
    });
    let menuResBrands = new menuResClass({
        menuIcon: $$(".menuIcon"),
        btn: $$(".menuBrandsBtn"),
        menu: $$(".menuBrandsResponsive"),
        title: "برندها",
        menuParent: $$(".menuResponsive"),
    });
    // ----------------------------------------------
    //
    // ----------------------------------------------
    let menuBrandResClass = new Class({
        options: {
            list: [],
        },
        init: function (options) {
            this.setNewOptions(this, options);
            this.createMainMenu(this, this.options);
            this.menuIcon(this.options);
        },
        // -------------------------
        menuIcon: (options) => {
            $$(".menuIcon").addEventListener("click", () => {
                options.containerImage.addClass("menuHide");
            });
        },
        createMainMenu: (self, options) => {
            options.items.forEach((item, index) => {
                let li = document.createElement("LI");
                let a = document.createElement("A");
                a.href = "#";
                a.disabled = true;
                a.innerHTML = item.title;
                a.onclick = () => self.onClick(self, options, item, index);
                options.list.push(li);
                li.appendChild(a);
                options.container.appendChild(li);
            });
        },
        onClick: (self, options, item, index) => {
            self.setImages(options, item);
            options.containerImage.removeClass("menuHide");
        },
        setImages: (options, item) => {
            $$(".menuBrandsChildResponsive li h2").innerHTML = item.title;
            $$(".menuBrandsChildResponsive li h2").onclick = () => {
                options.containerImage.addClass("menuHide");
            };
            options.containerImages.innerHTML = "";
            item.images.forEach((image, index) => {
                let li = document.createElement("LI");
                let a = document.createElement("A");
                let img = document.createElement("IMG");
                img.src = image;
                a.href = item.links[index];
                a.appendChild(img);
                li.appendChild(a);
                options.containerImages.appendChild(li);
            });
        },
        // -------------------------
        setNewOptions: (self, options) => {
            self.options = {
                ...self.options,
                ...options,
            };
        },
    });
    let menuBrandRes = new menuBrandResClass({
        container: $$(".menuBrandsResponsive ul"),
        containerImage: $$(".menuBrandsChildResponsive"),
        containerImages: $$(".menuBrandsChildResponsive ul"),
        items: [


            <?php
            foreach ($brands_company as $value) {

            ?>
            {
                title: <?php echo '"' ?><?php echo $value ?><?php echo '"' ?>,
                <?php
                $args = array(
                    'post_type' => 'brands',
                    'meta_query' => array(
                        array(
                            'key' => 'company',
                            'value' => $value
                        )
                    )
                );
                $the_query = new WP_Query($args);
                if ($the_query->have_posts()) :
                ?>
                images: [
                    <?php
                    while ($the_query->have_posts()) :
                    $the_query->the_post();
                    $company = get_field('company', get_the_ID());
                    ?>

                    <?php echo '"' ?>  <?php echo get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?><?php echo '",' ?>


                    <?php
                    endwhile;
                    wp_reset_postdata();
                    ?>
                ],

                links: [
                    <?php
                    while ($the_query->have_posts()) :
                    $the_query->the_post();
                    $company = get_field('company', get_the_ID());
                    ?>
                    <?php echo '"' ?><?php the_permalink(); ?><?php echo '",' ?>
                    <?php
                    endwhile;
                    wp_reset_postdata();
                    ?>
                ],
                <?php
                endif;
                ?>

            },
            <?php
            }
            ?>
        ],
    });
    // ----------------------------------------------
    // menuProductResClass
    // ----------------------------------------------
    let menuProductResClass = new Class({
        options: {
            list: [],
        },
        init: function (options) {
            this.setNewOptions(this, options);
            this.createMainMenu(this, this.options);
            this.menuIcon(this.options);
        },
        // -------------------------
        menuIcon: (options) => {
            $$(".menuIcon").addEventListener("click", () => {
                options.containerProduct.addClass("menuHide");
            });
        },
        createMainMenu: (self, options) => {
            options.products.forEach((product, index) => {
                let li = document.createElement("LI");
                let a = document.createElement("A");
                a.href = "#";
                a.disabled = true;
                a.innerHTML = product.title;
                a.onclick = () => self.onClick(self, options, product, index);
                li.appendChild(a);
                options.list.push(li);
                options.container.appendChild(li);
            });
        },
        onClick: (self, options, product, index) => {
            self.setProducts(options, product);
            options.containerProduct.removeClass("menuHide");
        },
        setProducts: (options, product) => {
            $$(".menuProductsChildResponsive li h2").innerHTML = product.title;
            $$(".menuProductsChildResponsive li h2").onclick = () => {
                options.containerProduct.addClass("menuHide");
            };
            options.containerProducts.innerHTML = "";
            product.items.forEach((product) => {
                let a = document.createElement("A");
                a.href = "";
                let li = document.createElement("LI");
                a.innerHTML = product.name;
                // li.style.containerProduct = image;
                li.appendChild(a);
                options.containerProducts.appendChild(li);
            });
        },
        // -------------------------
        setNewOptions: (self, options) => {
            self.options = {
                ...self.options,
                ...options,
            };
        },
    });
    let menuProductRes = new menuProductResClass({
        container: $$(".menuProductsResponsive"),
        containerProduct: $$(".menuProductsChildResponsive"),
        containerProducts: $$(".menuProductsChildResponsive ul"),
        products: [
            {
                title: "لبنیات",
                items: [
                    {
                        name: "عنوان گروه محصول",
                        href: "#",
                    },
                    {
                        name: "عنوان گروه محصول",
                        href: "#",
                    },
                    {
                        name: "عنوان گروه محصول",
                        href: "#",
                    },
                ],
            },
            {
                title: "بستنی ها",
                items: [
                    {
                        name: "عنوان گروه محصول",
                        href: "#",
                    },
                    {
                        name: "عنوان گروه محصول",
                        href: "#",
                    },
                    {
                        name: "عنوان گروه محصول",
                        href: "#",
                    },
                ],
            },
            {
                title: "آب میوه ها",
                items: [
                    {
                        name: "عنوان گروه محصول",
                        href: "#",
                    },
                    {
                        name: "عنوان گروه محصول",
                        href: "#",
                    },
                    {
                        name: "عنوان گروه محصول",
                        href: "#",
                    },
                ],
            },
        ],
    });

</script>
</body>
</html>
